POST
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
万相视频生成
curl --request POST \
  --url https://www.666api.ai/api/v1/services/aigc/video-generation/video-synthesis \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "wan2.6-i2v-flash",
  "input": {
    "prompt": "一幅都市奇幻艺术的场景。一个充满动感的涂鸦艺术角色。一个由喷漆所画成的少年,正从一面混凝土墙上活过来。他一边用极快的语速演唱一首英文rap,一边摆着一个经典的、充满活力的说唱歌手姿势。场景设定在夜晚一个充满都市感的铁路桥下。灯光来自一盏孤零零的街灯,营造出电影般的氛围,充满高能量和惊人的细节。视频的音频部分完全由他的rap构成,没有其他对话或杂音。",
    "img_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/wpimhv/rap.png",
    "audio_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/ozwpvi/rap.mp3"
  },
  "parameters": {
    "resolution": "720P",
    "prompt_extend": true,
    "duration": 10,
    "shot_type": "multi"
  }
}
'
{
  "output": {
    "task_status": "PENDING",
    "task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx"
  },
  "request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx"
}

Authorizations

Authorization
string
header
required

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

Body

application/json
model
string
required

模型名称。 示例值:wan2.6-i2v-flash。

input
object
required

输入的基本信息,如提示词等。

parameters
object

视频处理参数,如设置视频分辨率、设置视频时长、开启prompt智能改写、添加水印等。

Response

200 - application/json
output
object
required

任务输出信息。

request_id
string
required

请求唯一标识。可用于请求明细溯源和问题排查。

code
string
required

请求失败的错误码。请求成功时不会返回此参数

message
string
required

请求失败的详细信息。请求成功时不会返回此参数